> ## Documentation Index
> Fetch the complete documentation index at: https://docs.derivadex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balance Aggregation

> Returns the change of trader's balance for a specific strategy over a specific time period, looking back from the present



## OpenAPI

````yaml /api-specs/public-rest-unified.json get /stats/api/v1/aggregations/balance
openapi: 3.1.0
info:
  title: DerivaDEX API Documentation
  version: '1.0'
  description: ''
servers:
  - url: https://testnet.derivadex.io
    description: DerivaDEX testnet
security: []
tags:
  - name: Venue-Wide Tables
    description: These APIs expose venue-wide public tables and reference data.
    x-source-api: Public REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public Exchange REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public Exchange REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public Exchange REST API
paths:
  /stats/api/v1/aggregations/balance:
    get:
      tags:
        - Market
      summary: Get Balance Aggregation
      description: >-
        Returns the change of trader's balance for a specific strategy over a
        specific time period, looking back from the present
      parameters:
        - in: query
          name: trader
          schema:
            type: string
          description: The trader address, with the discriminant prefix.
          example: '0x00b993e587c15a9e0a0fe4f111de98fd6b5ce7067d'
        - in: query
          name: strategyId
          schema:
            type: string
          description: The strategy ID.
          example: main
        - in: query
          name: limit
          schema:
            type: integer
            default: 500
          description: The number of rows to return
        - in: query
          name: aggregationPeriod
          schema:
            type: string
            enum:
              - week
              - day
              - hour
              - minute
            default: day
          description: The period for the aggregation.
        - in: query
          name: lookbackCount
          schema:
            type: integer
            default: 60
          description: The number of periods to look back from present.
      responses:
        '200':
          description: Balance aggregation data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalanceAggregationAPISuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
components:
  schemas:
    BalanceAggregationAPISuccessResponse:
      type: object
      additionalProperties: false
      properties:
        value:
          type: array
          items:
            type: object
            properties:
              trader:
                type: string
                description: The trader address prefixed with the blockchain discriminant.
                examples:
                  - '0x00b993e587c15a9e0a0fe4f111de98fd6b5ce7067d'
              strategyIdHash:
                type: string
                description: The strategy id hash of the trader.
                examples:
                  - '0x2576ebd1'
              amount:
                type: string
                description: The amount.
                examples:
                  - '0.9'
              timestamp:
                type: number
                description: The unix timestamp at the start of the aggregation period.
                examples:
                  - 1673308800
            required:
              - trader
              - strategyIdHash
              - amount
              - timestamp
            additionalProperties: false
            description: Strategy Aggregation Response
          description: The value of the response
        success:
          type: boolean
          const: true
          description: Whether the request was successful
        timestamp:
          type: number
          description: The timestamp of the response
          examples:
            - 1673031089
      required:
        - success
        - timestamp
        - value
      description: Successful response for the Balance API
    StatsAPIErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errorMsg:
          anyOf:
            - type: string
            - type: array
              items:
                type: object
                additionalProperties: false
      required:
        - success
      additionalProperties: false

````